> ## Name

> LightRange - 3D API light range

> ## Usage

> LightRange[i] = float(range)

> ## Valid Enumerants

> range: floating point value

> ## Description

> Specify the maximum distance for which a light has any effect. See the Range member of the D3DLIGHT9 argument to IDirect3DDevice9::SetLight method.

> The standard reset callback sets the LightRange[i] state to float(0).

> ## Opengl Functionality Requirements

> Not applicable.

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> LightAmbient, LightAttenuation0, LightAttenuation1, LightAttenuation2, LightConstantAttenuation, LightDiffuse, LightDirection, LightEnable, LightFalloff, LightLinearAttenuation, LightModelAmbient, LightModelColorControl, LightModelLocalViewerEnable, LightModelTwoSideEnable, LightPhi, LightPosition, LightQuadraticAttenuation, LightSpecular, LightSpotCutoff, LightSpotDirection, LightSpotExponent, LightTheta, LightType, LightingEnable